% pgss_rows = pgss.reject(&:excluded?).sort_by(&:max_time).reverse
% has_collapsed = pgss_rows.any?{ |row| row.collapsed }
% unless pgss_rows.empty?
| Calls | Total Time | Max Time | Mean Time | Rows | <%= has_collapsed ? 'Collapsed |' : '' %>Query |
| ----- | ---------- | -------- | --------- | ---- | <%= has_collapsed ? '--------- |' : '' %>----- |
% pgss_rows.each do |query|
| <%= format_int(query.calls) %> | <%= format_time(query.total_time) %> | <%= format_time(query.max_time) %> | <%= format_time(query.mean_time) %> | <%= format_int(query.rows) %> <%if has_collapsed %>| <%= query.collapsed ? 'Yes' : 'No' %> <% end %>| <pre><%= query.formatted_query %></pre> |
% end
% end
